
#include <iostream>
#include <fstream>

#include "TestParser.h"
#include "TestLexer.h"


int main(int argc, char** argv)
{
    std::ifstream example( argv[1] );
    TestLexer lexer(&example, &std::cout);

    yy::TestParser parser(&lexer);
    parser.parse();

    std::cout << std::endl;
    return 0;
}
